> ## Documentation Index
> Fetch the complete documentation index at: https://ton.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Address Information

> Get basic information about the address: balance, code, data, last_transaction_id.



## OpenAPI

````yaml get /getAddressInformation
openapi: 3.1.0
info:
  title: TON HTTP API
  description: >

    This API enables HTTP access to TON blockchain - getting accounts and
    wallets information, looking up blocks and transactions, sending messages to
    the blockchain, calling get methods of smart contracts, and more.


    In addition to REST API, all methods are available through [JSON-RPC
    endpoint](#json%20rpc)  with `method` equal to method name and `params`
    passed as a dictionary.


    The response contains a JSON object, which always has a boolean field `ok`
    and either `error` or `result`. If `ok` equals true, the request was
    successful and the result of the query can be found in the `result` field.
    In case of an unsuccessful request, `ok` equals false and the error is
    explained in the `error`.


    API Key should be sent either as `api_key` query parameter or `X-API-Key`
    header.
  version: 2.0.0
servers:
  - url: https://toncenter.com/api/v2
  - url: https://testnet.toncenter.com/api/v2
security: []
tags:
  - name: accounts
    description: Information about accounts.
  - name: blocks
    description: Information about blocks.
  - name: transactions
    description: Fetching and locating transactions.
  - name: get config
    description: Get blockchain config
  - name: run method
    description: Run get method of smart contract.
  - name: send
    description: Send data to blockchain.
  - name: json rpc
    description: JSON-RPC endpoint.
paths:
  /getAddressInformation:
    get:
      tags:
        - accounts
      summary: Get Address Information
      description: >-
        Get basic information about the address: balance, code, data,
        last_transaction_id.
      operationId: get_address_information_getAddressInformation_get
      parameters:
        - description: Identifier of target TON account in any form.
          required: true
          schema:
            type: string
            title: Address
            description: Identifier of target TON account in any form.
          name: address
          in: query
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAddressInformationResponse'
              examples:
                sample:
                  summary: Example
                  value:
                    ok: true
                    result:
                      '@type': raw.fullAccountState
                      balance: '1592521995920473'
                      extra_currencies: []
                      code: >-
                        te6cckEBAQEAcQAA3v8AIN0gggFMl7ohggEznLqxn3Gw7UTQ0x/THzHXC//jBOCk8mCDCNcYINMf0x/TH/gjE7vyY+1E0NMf0x/T/9FRMrryoVFEuvKiBPkBVBBV+RDyo/gAkyDXSpbTB9QC+wDo0QGkyMsfyx/L/8ntVBC9ba0=
                      data: >-
                        te6cckEBAQEAKgAAUAAAAVUpqaMXcsnta2Km4uuhSpO5BGLno2d3e+uKOPsVufM4RNIs4v+Z1A2U
                      last_transaction_id:
                        '@type': internal.transactionId
                        lt: '60294179000005'
                        hash: opzfb6lX3inMMTbyvp8Z/FmrrdgZ4D/NPZvDZOkjd0E=
                      block_id:
                        '@type': ton.blockIdExt
                        workchain: -1
                        shard: '-9223372036854775808'
                        seqno: 50940162
                        root_hash: S3S4Otb/vX2ZZDsOAB2a3Deqf3+K3aerm7qodto/nt8=
                        file_hash: h/bCahzQzEMzwRwnDBpzmN1m1/wjyA0BUy/HTtBbirs=
                      frozen_hash: ''
                      sync_utime: 1755281542
                      '@extra': 1755281559.4317498:12:0.19337888420712945
                      state: active
        '422':
          description: Validation Error
        '504':
          description: Lite Server Timeout
      security: []
components:
  schemas:
    GetAddressInformationResponse:
      allOf:
        - $ref: '#/components/schemas/TonResponse'
        - type: object
          properties:
            result:
              $ref: '#/components/schemas/GetAddressInformationResult'
    TonResponse:
      properties:
        ok:
          type: boolean
          title: Ok
        result:
          anyOf:
            - type: string
            - items: {}
              type: array
            - type: object
          title: Result
        error:
          type: string
          title: Error
        code:
          type: integer
          title: Code
      type: object
      required:
        - ok
      title: TonResponse
    GetAddressInformationResult:
      type: object
      description: >-
        Raw account state augmented with computed `state`. Fields come directly
        from tonlib.
      properties:
        '@type':
          type: string
          example: raw.fullAccountState
        address:
          $ref: '#/components/schemas/AccountAddress'
        balance:
          type: string
          description: Balance in nanotons.
        extra_currencies:
          type: array
          items:
            type: object
        code:
          type: string
          description: Base64-encoded code cell
        data:
          type: string
          description: Base64-encoded data cell
        last_transaction_id:
          $ref: '#/components/schemas/InternalTransactionId'
        block_id:
          $ref: '#/components/schemas/TonBlockIdExt'
        frozen_hash:
          type: string
        sync_utime:
          type: integer
        '@extra':
          type: string
        state:
          type: string
          enum:
            - uninitialized
            - active
            - frozen
          description: Computed from code/frozen_hash by the API server.
      required:
        - balance
        - last_transaction_id
        - state
    AccountAddress:
      type: object
      description: Account address object.
      properties:
        '@type':
          type: string
          example: accountAddress
        account_address:
          type: string
          description: Friendly address string.
      required:
        - account_address
    InternalTransactionId:
      type: object
      description: Internal transaction identifier.
      properties:
        '@type':
          type: string
          example: internal.transactionId
        lt:
          type: string
          description: Logical time.
        hash:
          type: string
          description: Base64 hash of the tx.
      required:
        - lt
        - hash
    TonBlockIdExt:
      type: object
      properties:
        '@type':
          type: string
          example: ton.blockIdExt
        workchain:
          type: integer
        shard:
          type: string
          description: 64-bit signed integer as string
        seqno:
          type: integer
        root_hash:
          type: string
        file_hash:
          type: string
      required:
        - workchain
        - shard
        - seqno
        - root_hash
        - file_hash
      description: Extended block identifier.

````